Old 3G 4.2.1 update with 02.30.03BB

kwr

macrumors newbie
Original poster
Nov 28, 2011
5
0
Hi, I'm a frequent reader of this forum and have been successfully jailbreaking my own phones for a couple years now...but I'm having a problem with an old 3G that I brought out of mothballs. It was originally running on 3x with 02.30.03BB and I updated the OS to 4.2.1 (don't beat me up for that) and didn't update the BB. Everything seemed to be fine and I did an unlock with Ultra. Now I've got an intermittent wifi and bluetooth issue. I'm thinking that's because of the older BB that I'm running. I'd prefer not to do the iPad BB update, so my question...Is there anyway to just update the 02.30.03 to say 4.26.08, 5.11.07, 5.12.01 or 5.13.04 BB? My jailbreaking history doesn't go back that far, so I'm hoping there might be someone out there that can help. Thanks in advance.
 

Crystal-RX

macrumors 68030
Dec 22, 2008
2,691
0
Seattle, WA USA
Hi, I'm a frequent reader of this forum and have been successfully jailbreaking my own phones for a couple years now...but I'm having a problem with an old 3G that I brought out of mothballs. It was originally running on 3x with 02.30.03BB and I updated the OS to 4.2.1 (don't beat me up for that) and didn't update the BB. Everything seemed to be fine and I did an unlock with Ultra. Now I've got an intermittent wifi and bluetooth issue. I'm thinking that's because of the older BB that I'm running. I'd prefer not to do the iPad BB update, so my question...Is there anyway to just update the 02.30.03 to say 4.26.08, 5.11.07, 5.12.01 or 5.13.04 BB? My jailbreaking history doesn't go back that far, so I'm hoping there might be someone out there that can help. Thanks in advance.
So, after updating to 4.2.1, what is the baseband on your phone now? 05.14?

Run tiny umbrella and see what bootloader you have on your phone. If it is 05.08, you can downgrade it back to a lower baseband than 05.14 where it can be unlocked with Ultrasn0w.
 

kwr

macrumors newbie
Original poster
Nov 28, 2011
5
0
So, after updating to 4.2.1, what is the baseband on your phone now? 05.14?

Run tiny umbrella and see what bootloader you have on your phone. If it is 05.08, you can downgrade it back to a lower baseband than 05.14 where it can be unlocked with Ultrasn0w.
Thanks for the quick reply. I used SB, so I preserved the BB. It's running 4.2.1 with 02.30.03 BB.

02.30.03-6.2_M3S2
 
Last edited:

kwr

macrumors newbie
Original poster
Nov 28, 2011
5
0
Restore your phone to 3.1.3 Apple firmware, you will then have baseband of 05.12 on it.
Done. That corrected the intermittent wifi issue, but bluetooth won't connect. Are there issues with that BB and SB jailbreak?
 

Crystal-RX

macrumors 68030
Dec 22, 2008
2,691
0
Seattle, WA USA
Done. That corrected the intermittent wifi issue, but bluetooth won't connect. Are there issues with that BB and SB jailbreak?
None that I am aware of. With 3.1.3, you can jailbreak it by opening Sarafi on your iphone, type in http://www.jailbreakme.com and just follow its direction, then you are done. You don't even need to hook it up to your computer.

Once you jailbreak it, you can unlock it by installing Ultransn0w from Cydia.
 

kwr

macrumors newbie
Original poster
Nov 28, 2011
5
0
None that I am aware of. With 3.1.3, you can jailbreak it by opening Sarafi on your iphone, type in http://www.jailbreakme.com and just follow its direction, then you are done. You don't even need to hook it up to your computer.

Once you jailbreak it, you can unlock it by installing Ultransn0w from Cydia.
:D Lol...that's how I did it and I ended up with the Bluetooth issue. Just wondering if I should sn0wbreeze it instead. I thought I'd ask first.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.